Imports System.Xml.Serialization

<Serializable>
Public Class DocumentResult
    Inherits BaseResult

    Public Document As DocumentObject
    Public HasContents As Boolean = False
    Public Contents As Byte()

    Public Sub New(Document As DocumentObject)
        MyBase.New()
        Me.Document = Document
    End Sub

    Public Sub New(Document As DocumentObject, Contents As Byte())
        MyBase.New()
        Me.Document = Document
        Me.Contents = Contents
        Me.HasContents = True
    End Sub

    Public Sub New(ErrorMessage As String)
        MyBase.New(ErrorMessage)
    End Sub

    Public Class DocumentObject
        Public FileName As String
        Public FileId As String
    End Class
End Class
